> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rottentomatoes/movies/search

> Browse and discover Rotten Tomatoes movies with faceted filters: collection (in theaters, at home, coming soon), sort, genres, MPAA ratings, Tomatometer and Popcornmeter status and streaming providers. Returns titles with both scores and poster.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/movies-tv.json post /api/rottentomatoes/movies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rottentomatoes/movies/search:
    post:
      tags:
        - /rottentomatoes
      summary: /rottentomatoes/movies/search
      description: >-
        Browse and discover Rotten Tomatoes movies with faceted filters:
        collection (in theaters, at home, coming soon), sort, genres, MPAA
        ratings, Tomatometer and Popcornmeter status and streaming providers.
        Returns titles with both scores and poster.


        **Price:** 1 credit
      operationId: __api_rottentomatoes_movies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RottentomatoesMoviesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RottentomatoesBrowseItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RottentomatoesMoviesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        category:
          $ref: '#/components/schemas/RottentomatoesMovieCategory'
          default: movies_at_home
        sort:
          $ref: '#/components/schemas/RottentomatoesSort'
          default: popular
        genres:
          items:
            $ref: '#/components/schemas/RottentomatoesGenre'
          type: array
          default: []
        ratings:
          items:
            $ref: '#/components/schemas/RottentomatoesMovieRating'
          type: array
          default: []
        tomatometer:
          anyOf:
            - $ref: '#/components/schemas/RottentomatoesTomatometer'
            - type: 'null'
        popcornmeter:
          anyOf:
            - $ref: '#/components/schemas/RottentomatoesPopcornmeter'
            - type: 'null'
        affiliates:
          items:
            $ref: '#/components/schemas/RottentomatoesAffiliateProvider'
          type: array
          default: []
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    RottentomatoesBrowseItem:
      properties:
        '@type':
          type: string
          default: RottentomatoesBrowseItem
        id:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        release_text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        tomatometer:
          anyOf:
            - type: integer
            - type: 'null'
        popcornmeter:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RottentomatoesMovieCategory:
      type: string
      enum:
        - movies_in_theaters
        - movies_at_home
        - movies_coming_soon
    RottentomatoesSort:
      type: string
      enum:
        - popular
        - newest
        - top_box_office
    RottentomatoesGenre:
      type: string
      enum:
        - action
        - adventure
        - animation
        - anime
        - biography
        - comedy
        - crime
        - documentary
        - drama
        - entertainment
        - faith_and_spirituality
        - fantasy
        - game_show
        - health_and_wellness
        - history
        - holiday
        - horror
        - house_and_garden
        - kids_and_family
        - lgbtq
        - music
        - musical
        - mystery_and_thriller
        - nature
        - news
        - reality
        - romance
        - sci_fi
        - short
        - soap
        - special_interest
        - sports
        - stand_up
        - talk_show
        - travel
        - variety
        - war
        - western
    RottentomatoesMovieRating:
      type: string
      enum:
        - g
        - pg
        - pg_13
        - r
        - nc_17
        - nr
        - ur
    RottentomatoesTomatometer:
      type: string
      enum:
        - certified_fresh
        - fresh
        - rotten
    RottentomatoesPopcornmeter:
      type: string
      enum:
        - verified_hot
        - upright
        - spilled
    RottentomatoesAffiliateProvider:
      type: string
      enum:
        - theaters
        - fandango-at-home
        - apple-tv
        - apple-tv-plus
        - netflix
        - prime-video
        - disney-plus
        - max
        - peacock
        - hulu
        - paramount-plus
        - amc-plus
        - acorn-tv
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````